// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/ka.ra.il/grpc-contract-test/internal/common/genproto/coin (interfaces: WalletServiceClient)

// Package mock_coin is a generated GoMock package.
package mock_coin

import (
	context "context"
	coin "gitlab.com/ka.ra.il/grpc-contract-test/internal/common/genproto/coin"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	grpc "google.golang.org/grpc"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
)

// MockWalletServiceClient is a mock of WalletServiceClient interface.
type MockWalletServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockWalletServiceClientMockRecorder
}

// MockWalletServiceClientMockRecorder is the mock recorder for MockWalletServiceClient.
type MockWalletServiceClientMockRecorder struct {
	mock *MockWalletServiceClient
}

// NewMockWalletServiceClient creates a new mock instance.
func NewMockWalletServiceClient(ctrl *gomock.Controller) *MockWalletServiceClient {
	mock := &MockWalletServiceClient{ctrl: ctrl}
	mock.recorder = &MockWalletServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockWalletServiceClient) EXPECT() *MockWalletServiceClientMockRecorder {
	return m.recorder
}

// Balance mocks base method.
func (m *MockWalletServiceClient) Balance(arg0 context.Context, arg1 *coin.BalanceRequest, arg2 ...grpc.CallOption) (*coin.BalanceResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Balance", varargs...)
	ret0, _ := ret[0].(*coin.BalanceResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Balance indicates an expected call of Balance.
func (mr *MockWalletServiceClientMockRecorder) Balance(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Balance", reflect.TypeOf((*MockWalletServiceClient)(nil).Balance), varargs...)
}

// GetBalancesList mocks base method.
func (m *MockWalletServiceClient) GetBalancesList(arg0 context.Context, arg1 *emptypb.Empty, arg2 ...grpc.CallOption) (*coin.ListBalances, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetBalancesList", varargs...)
	ret0, _ := ret[0].(*coin.ListBalances)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBalancesList indicates an expected call of GetBalancesList.
func (mr *MockWalletServiceClientMockRecorder) GetBalancesList(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBalancesList", reflect.TypeOf((*MockWalletServiceClient)(nil).GetBalancesList), varargs...)
}

// GetFields mocks base method.
func (m *MockWalletServiceClient) GetFields(arg0 context.Context, arg1 *emptypb.Empty, arg2 ...grpc.CallOption) (*coin.FieldsResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetFields", varargs...)
	ret0, _ := ret[0].(*coin.FieldsResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetFields indicates an expected call of GetFields.
func (mr *MockWalletServiceClientMockRecorder) GetFields(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetFields", reflect.TypeOf((*MockWalletServiceClient)(nil).GetFields), varargs...)
}

// GetMaxMoney mocks base method.
func (m *MockWalletServiceClient) GetMaxMoney(arg0 context.Context, arg1 *emptypb.Empty, arg2 ...grpc.CallOption) (*coin.BalanceResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetMaxMoney", varargs...)
	ret0, _ := ret[0].(*coin.BalanceResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetMaxMoney indicates an expected call of GetMaxMoney.
func (mr *MockWalletServiceClientMockRecorder) GetMaxMoney(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetMaxMoney", reflect.TypeOf((*MockWalletServiceClient)(nil).GetMaxMoney), varargs...)
}

// GetWalletList mocks base method.
func (m *MockWalletServiceClient) GetWalletList(arg0 context.Context, arg1 *emptypb.Empty, arg2 ...grpc.CallOption) (*coin.ListWalletOwner, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetWalletList", varargs...)
	ret0, _ := ret[0].(*coin.ListWalletOwner)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetWalletList indicates an expected call of GetWalletList.
func (mr *MockWalletServiceClientMockRecorder) GetWalletList(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetWalletList", reflect.TypeOf((*MockWalletServiceClient)(nil).GetWalletList), varargs...)
}

// Mint mocks base method.
func (m *MockWalletServiceClient) Mint(arg0 context.Context, arg1 *coin.MintRequest, arg2 ...grpc.CallOption) (*coin.ResponseTx, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Mint", varargs...)
	ret0, _ := ret[0].(*coin.ResponseTx)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Mint indicates an expected call of Mint.
func (mr *MockWalletServiceClientMockRecorder) Mint(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Mint", reflect.TypeOf((*MockWalletServiceClient)(nil).Mint), varargs...)
}

// NewAccount mocks base method.
func (m *MockWalletServiceClient) NewAccount(arg0 context.Context, arg1 *coin.NewAccRequest, arg2 ...grpc.CallOption) (*coin.ResponseTx, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "NewAccount", varargs...)
	ret0, _ := ret[0].(*coin.ResponseTx)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// NewAccount indicates an expected call of NewAccount.
func (mr *MockWalletServiceClientMockRecorder) NewAccount(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "NewAccount", reflect.TypeOf((*MockWalletServiceClient)(nil).NewAccount), varargs...)
}

// Send mocks base method.
func (m *MockWalletServiceClient) Send(arg0 context.Context, arg1 *coin.SendRequest, arg2 ...grpc.CallOption) (*coin.ResponseTx, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Send", varargs...)
	ret0, _ := ret[0].(*coin.ResponseTx)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Send indicates an expected call of Send.
func (mr *MockWalletServiceClientMockRecorder) Send(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Send", reflect.TypeOf((*MockWalletServiceClient)(nil).Send), varargs...)
}

// SetMaxMoney mocks base method.
func (m *MockWalletServiceClient) SetMaxMoney(arg0 context.Context, arg1 *coin.SetMaxMoneyRequest, arg2 ...grpc.CallOption) (*coin.ResponseTx, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "SetMaxMoney", varargs...)
	ret0, _ := ret[0].(*coin.ResponseTx)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// SetMaxMoney indicates an expected call of SetMaxMoney.
func (mr *MockWalletServiceClientMockRecorder) SetMaxMoney(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetMaxMoney", reflect.TypeOf((*MockWalletServiceClient)(nil).SetMaxMoney), varargs...)
}

// SetStatusProcessing mocks base method.
func (m *MockWalletServiceClient) SetStatusProcessing(arg0 context.Context, arg1 *coin.StatusProcessing, arg2 ...grpc.CallOption) (*coin.ResponseTx, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "SetStatusProcessing", varargs...)
	ret0, _ := ret[0].(*coin.ResponseTx)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// SetStatusProcessing indicates an expected call of SetStatusProcessing.
func (mr *MockWalletServiceClientMockRecorder) SetStatusProcessing(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetStatusProcessing", reflect.TypeOf((*MockWalletServiceClient)(nil).SetStatusProcessing), varargs...)
}

// Wallet mocks base method.
func (m *MockWalletServiceClient) Wallet(arg0 context.Context, arg1 *coin.WalletRequest, arg2 ...grpc.CallOption) (*coin.WalletResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Wallet", varargs...)
	ret0, _ := ret[0].(*coin.WalletResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Wallet indicates an expected call of Wallet.
func (mr *MockWalletServiceClientMockRecorder) Wallet(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Wallet", reflect.TypeOf((*MockWalletServiceClient)(nil).Wallet), varargs...)
}
